Name:           clipgrab
Version:        3.5.1
Release:        %mkrel 1
Summary:        Download and Convert online videos
License:        GPLv3+
Group:          Video/Editors and Converters
Url:            http://clipgrab.de/en
Source0:        http://clipgrab.de/download/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  imagemagick
Recommends:     ffmpeg

%description
ClipGrab is a GPLv3 licenced, free and cost-free software for downloading
and converting online videos.

%prep
%setup -q

%build
%qmake_qt4 clipgrab.pro
%make

%install
mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications

install -D -m755 %{name} %{buildroot}%{_bindir}
install -D -m644 *.qm %{buildroot}%{_datadir}/%{name}/
install -D -m644 *.png %{buildroot}%{_datadir}/%{name}/
install -D -m644 icon.png %{buildroot}%{_iconsdir}/%{name}.png

convert -geometry 32x32 icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 16x16 icon.png %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 16x16 icon.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 icon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | %__sed -e 's|^.||' | sed -e \
    's:\(%{_datadir}/%{name}/%{name}_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang

#------------------------------------------------------------------------
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
GenericName=ClipGrab
Name=ClipGrab
Comment=Use ClipGrab to download and convert online videos
Comment[ca]=Empreu ClipGrab per descarregar i convertir vídeos online.
Comment[cs]=Použijte program ClipGrap pro stažení a konverzi online videí
Comment[de]=Benutzen Sie ClipGrab, um Online-Videos herunterzuladen und zu konvertieren.
Comment[el]=Λήψη και μετατροπή βίντεο από το διαδίκτυο
Comment[es]=Utilice ClipGrab para descargar y convertir videos de la red
Comment[et]=ClipGrab aitab videoid veebist alla laadida ja teisendada.
Comment[fr]=Utilisez ClipGrad pour télécharger et convertir des vidéos d'Internet
Comment[it]=Utilizzare ClipGrab per scaricare e convertire i video
Comment[nl]=Gebruik ClipGrab om online videos te downloaden en converteren
Comment[pl]=Użyj programu ClipGrab do pobrania i konwersji filmów online
Comment[sl]=Uporabite ClipGrab za prenos in pretvorbo spletnih videov
Comment[uk]=Скористатися ClipGrab для отримання та перетворення інтернет-відео
Comment[zh_TW]=使用 ClipGrab 來下載並轉換線上影片
Exec=clipgrab
Icon=clipgrab
Path=clipgrab
Type=Application
StartupNotify=true
Categories=AudioVideo;Recorder;X-Mageia-CrossDesktop;
EOF
#------------------------------------------------------------------------

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Aug 06 2015 dglent <dglent> 3.5.1-1.mga5
+ Revision: 861493
- Version 3.5.1
- Fixes mga#16545 (unable to find videos)

* Sun Feb 22 2015 dglent <dglent> 3.4.9-1.mga5
+ Revision: 816349
- Version 3.4.9

* Sun Jan 25 2015 dglent <dglent> 3.4.8-1.mga5
+ Revision: 812173
- Version 3.4.8

* Wed Oct 15 2014 umeabot <umeabot> 3.4.7-2.mga5
+ Revision: 743206
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 dglent <dglent> 3.4.7-1.mga5
+ Revision: 731599
- New version 3.4.7
- Add desktop icons in hicolor path

* Tue Sep 16 2014 umeabot <umeabot> 3.4.2-2.mga5
+ Revision: 678427
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Mar 18 2014 wally <wally> 3.4.2-1.mga5
+ Revision: 605065
- new version 3.4.2

  + dglent <dglent>
    - Drop ffmpeg patch (qscale removed upstream)
    - Search and add translation lang tags

* Mon Oct 21 2013 umeabot <umeabot> 3.2.1.2-3.mga4
+ Revision: 538351
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 wally <wally> 3.2.1.2-2.mga4
+ Revision: 489316
- add patch to use ffmpeg with qscale switch instead of obsoleted sameq switch

* Sun Sep 29 2013 dglent <dglent> 3.2.1.2-1.mga4
+ Revision: 489311
- New version 3.2.1.2
- Add lang tags
- Don't package translation source files

* Tue Jul 16 2013 dglent <dglent> 3.2.1.0-1.mga4
+ Revision: 455097
- New version 3.2.1.0
- Update SPEC

* Fri Jan 11 2013 umeabot <umeabot> 3.2.0.9-2.mga3
+ Revision: 347884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + blue_prawn <blue_prawn>
    - only one Summary field is probably enough

* Sun Sep 30 2012 obgr_seneca <obgr_seneca> 3.2.0.9-1.mga3
+ Revision: 300806
- Adapted group to new policy

  + dglent <dglent>
    - New version 3.2.0.9
    - Drop patch clipgrab-3.2.0.6-mga-remove-nonexisting-images.patch (fixed upstream)
    - Spec cleanup

* Mon Jun 18 2012 obgr_seneca <obgr_seneca> 3.2.0.6-1.mga3
+ Revision: 261692
- New version 3.2.0.6
- added missing br for graphviz
- removed extra desktop file, upstream does provide one now

* Thu Mar 22 2012 obgr_seneca <obgr_seneca> 3.1.3.0-3.mga2
+ Revision: 225668
- added translations to desktop file

* Mon Mar 19 2012 obgr_seneca <obgr_seneca> 3.1.3.0-2.mga2
+ Revision: 224443
- replaced X-MandrivaLinux-CrossDesktop by X-Mageia-CrossDesktop in desktop file

* Wed Jan 04 2012 obgr_seneca <obgr_seneca> 3.1.3.0-1.mga2
+ Revision: 190769
- new version 3.1.3.0

* Sun Dec 18 2011 fwang <fwang> 3.1.0.2-2.mga2
+ Revision: 183658
- br qtwebkit

* Tue Oct 04 2011 obgr_seneca <obgr_seneca> 3.1.0.2-1.mga2
+ Revision: 151477
- New version

* Sat Mar 12 2011 obgr_seneca <obgr_seneca> 3.1.0.1-2.mga1
+ Revision: 68338
- imported package clipgrab

